OpenSCAD MirrorMeshFeature/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "OpenSCAD Fonction de maillage miroir")
 
(Created page with "{{Docnav/fr |Affinage de la forme |Augmenter la tolérance |Atelier OpenSCAD |IconL...")
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
{{Docnav/fr
|[[OpenSCAD_RefineShapeFeature|Refine Shape Feature]]
|[[OpenSCAD_RefineShapeFeature/fr|Affinage de la forme]]
|[[OpenSCAD_IncreaseTolerance|Increase Tolerance Feature]]
|[[OpenSCAD_IncreaseTolerance/fr|Augmenter la tolérance]]
|[[OpenSCAD_Module|OpenSCAD]]
|[[OpenSCAD_Module/fr|Atelier OpenSCAD]]
|IconL=OpenSCAD_RefineShapeFeature.svg
|IconL=OpenSCAD_RefineShapeFeature.svg
|IconC=Workbench_OpenSCAD.svg
|IconC=Workbench_OpenSCAD.svg

Revision as of 14:33, 25 July 2020

Other languages:

OpenSCAD MirrorMeshFeature

Menu location
OpenSCAD → Mirror Mesh Feature
Workbenches
OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Mirror

Description

Creates a new mirrored mesh object, mirrored about the selected axis.

File:OpenSCAD MirrorMesh.png

Usage

  1. Select the mesh object to be mirrored.
  2. Click the OpenSCAD → Mirror Mesh Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A parent-object is created and mirrored, the original object is rendered hidden.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to mirror
original_mesh = App.ActiveDocument.Mesh
mirrored_mesh = OpenSCADUtils.mirrormesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(mirrored_mesh)